// Lecture de tables
//compilez avec gcc -o main.exe $(mysql_config --cflags) main.c $(mysql_config --libs) ou le makefile
//Il faut avoir installé sudo apt-get install libmysqlclient-dev

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include <time.h>
#include <mysql/mysql.h>


// Fonction permettant de récupérer les infos user, host, password et DB qui sont dans le fichier de configuration
void Recup_Info_SQL(char* fichier);

// Fonction permettant de récupérer la date de la machine dans date[8]
void now(char date[8]);

// Fonction d'insert de la température et heure dans la BdD
void insert_meteo2bdd(int temperature, char datetime[25]);

// Fonction permettant de parcourir le XML
static void print_element_names(char date[8],char day[8], char hour[8], int temp_num, xmlNode * a_node);

//Fonction pour afficher la vue View_temp_piece
void read_temp_AVG();

//Fonction pour insérer une température dans la BDD, paramètres : ID du capteur et Température en float
void insert_temp2DB(int id, float temperature);

// Récupère l'adresse météo et parse
int execute();
